﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    bool isExport = false;
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Name");
        table.Columns.Add("ActiveDate", typeof(DateTime));
        table.Columns.Add("CurrentDate", typeof(DateTime));
        table.Columns.Add("EffectiveDate", typeof(DateTime));

        for (int c = 0; c < 10; c++)
            table.Rows.Add("Name " + c, DateTime.Now.AddDays(c), DateTime.Now.AddDays(c * 2), DateTime.Now.AddDays(c * 3));

        RadGrid1.DataSource = table;
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        isExport = true;
        RadGrid1.MasterTableView.ExportToExcel();
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridHeaderItem && isExport)
        {
            RadGrid1.MasterTableView.GetColumn("Name").Visible = false;
            RadGrid1.MasterTableView.GetColumn("ActiveDate").Visible = false;
        }
    }
}
